import 'package:flutter/material.dart';
import 'package:login/login.dart';
import 'package:supper_app/supper_app.dart';
export './login_screen.dart';

class LoginModule implements BaseModule {
  @override
  String modulePath() {
    return "login";
  }

  @override
  Route<dynamic> onGenerateRoute(RouteSettings settings) {
    if ((settings.name ?? "").contains('/login')) {
      final args = ModuleManagement.arguments(
          settings, "/login", (x) => LoginProps.fromMap(x));
      return MaterialPageRoute(
          builder: (_) => LoginScreen(
                props: args as LoginProps,
              ));
    }
    return DefaultRoute.notFound();
  }

  @override
  void injectServieces(GetIt getIt) {}

  @override
  List<LocalizationsDelegate> localizationsDelegates() {
    throw UnimplementedError();
  }
}
