import 'package:shared_preferences/shared_preferences.dart';

class User {
  String? token;

  saveToken() async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    prefs.setString('token', token ?? "");
  }

  static Future<String?> getToken() async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    return prefs.getString('token');
  }
}

class Auth<T extends User> {
  static final Auth _singleton = Auth._internal();
  factory Auth() {
    return _singleton as Auth<T>;
  }
  T? _user;

  Auth._internal();

  authenticate(T user) {
    _user = user;
  }

  unauthenticated() {
    _user = null;
  }

  T? user() {
    return _user;
  }
}
