import 'dart:async';
import 'dart:ui';

class Message<T> {
  String key;
  T data;
  Message(this.key, this.data);
}

class BusService {
  StreamController bus = StreamController<Message>.broadcast();

  void sendMessage(Message message) {
    bus.sink.add(message);
  }

  void listenMessageWithKey(String key, VoidCallback onCallBack) {
    bus.stream.listen((event) {
      if (event.key == key) {
        onCallBack();
      }
    });
  }
}
