library mini2;

import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:mini2/first_screen.dart';
import 'package:mini2/second_screen.dart';
import 'package:supper_app/supper_app.dart';
import 'package:login/login.dart';

class Mini2Route implements BaseModule {
  @override
  String modulePath() {
    return "haha";
  }

  @override
  Route<dynamic> onGenerateRoute(RouteSettings settings) {
    if ((settings.name ?? "").contains('/FirstScreen')) {
      return MaterialPageRoute(builder: (_) => FirstScreen());
    }
    if ((settings.name ?? "").contains('/SecondScreen')) {
      final args = ModuleManagement.arguments(
          settings, "/SecondScreen/", (x) => SecondScreenProp.fromMap(x));
      return authenticateGuardRoute(
          MaterialPageRoute(
              builder: (_) => SecondScreen(props: args as SecondScreenProp)),
          settings);
    }
    return DefaultRoute.notFound();
  }

  @override
  void injectServieces(GetIt getIt) {}

  @override
  List<LocalizationsDelegate> localizationsDelegates() {
    throw UnimplementedError();
  }
}
